/*
 * Custom overrides for Booklium Child.
 * This file is enqueued after the current theme styles and third-party CSS.
 * Add style overrides here to safely customize existing UI.
 */

.booklium-child-header-active #masthead,
.site-header--booklium-child {
	transition: box-shadow .2s ease, background-color .2s ease;
}

header.site-header.site-header--booklium-child {
	border: none !important;
}

header.site-header.site-header--booklium-child::before {
	background-color: #FBFAF8F2;
}

.home header.site-header.site-header--booklium-child::before {
	background-color: transparent;
}

.home #content {
	margin-top: -100px;
}

.booklium-child-header-active #masthead.is-scrolled-sticky,
.site-header--booklium-child.is-scrolled-sticky {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: auto;
	width: 100%;
	height: auto;
	z-index: 1000;
	box-shadow: 0 8px 24px rgba(6, 19, 34, 0.15);
	transform: none;
	background-color: #FBFAF8;
}


/* Общие стили для всех логотипов */
.site-header--booklium-child .site-branding-logo-white,
.site-header--booklium-child .site-branding-logo-blue {
	height: 48px;
	transition: opacity 0.3s ease; /* Добавит мягкости при переключении */
}

/* --- ЛОГИКА ДЛЯ ГЛАВНОЙ (.home) --- */
/* По умолчанию на главной: белый виден, синий скрыт */
.home .site-header--booklium-child .site-branding-logo-blue {
	display: none;
}

.home .site-header--booklium-child .site-branding-logo-white {
	display: block;
}

/* При скролле на главной: меняем их местами */
.home .is-scrolled-sticky .site-branding-logo-white {
	display: none;
}

.home .is-scrolled-sticky .site-branding-logo-blue {
	display: block;
}

/* --- ЛОГИКА ДЛЯ ОСТАЛЬНЫХ СТРАНИЦ --- */
body:not(.home) .site-header--booklium-child .site-branding-logo-white {
	display: none;
}

body:not(.home) .site-header--booklium-child .site-branding-logo-blue {
	display: block;
}

.site-header--booklium-child .menu-toggle {
	font-size: 20px;
}

.home .site-header--booklium-child .menu-toggle {
	color: #ffffff;
}

body:not(.home) .site-header--booklium-child .menu-toggle,
.home .is-scrolled-sticky .menu-toggle {
	color: #000000;
}


body.admin-bar.booklium-child-header-active #masthead.is-scrolled-sticky,
body.admin-bar .site-header--booklium-child.is-scrolled-sticky {
	top: 32px;
}

@media (max-width: 782px) {
	body.admin-bar.booklium-child-header-active #masthead.is-scrolled-sticky,
	body.admin-bar .site-header--booklium-child.is-scrolled-sticky {
		top: 46px;
	}
}

header.site-header.site-header--booklium-child .primary-menu {
	display: flex;
	align-items: center;
}

header.site-header.site-header--booklium-child .menu-item a {
	padding-left: 16px;
	padding-right: 16px;
	text-transform: uppercase;
}

.home header.site-header.site-header--booklium-child .menu-item a {
	color: #ffffff;
	font-weight: 400 !important;
}

.home header.site-header.site-header--booklium-child .sub-menu .menu-item a {
	color: #000000;
}

.home header.site-header.site-header--booklium-child .menu-item a:hover {
	opacity: .7;
}

.home header.site-header.site-header--booklium-child .hidden-links .menu-item a {
	color: #000000;
}

.home header.site-header.site-header--booklium-child.is-scrolled-sticky .menu-item a {
	color: #000000;
}

.home header.site-header.site-header--booklium-child.is-scrolled-sticky .menu-item a:hover {
	color: #021723;

}

.primary-menu-more .menu {
	display: flex !important;
	align-items: center;
}

.home .primary-menu-more i {
	color: #ffffff;
}

.home .is-scrolled-sticky .primary-menu-more i {
	color: #000000;
}

header.site-header.site-header--booklium-child .hidden-links .menu-item a {
	padding-left: 20px;
	padding-right: 20px;
}


header.site-header.site-header--booklium-child .menu-item .submenu-toggle {
	display: block !important;
	right: 8px;
}

header.site-header.site-header--booklium-child .menu-item:has(.submenu-toggle) a {
	padding-right: 32px;
}

header.site-header.site-header--booklium-child .menu-item .submenu-toggle::before {
	font-size: 10px;
	content: '\f078';
}

.home header.site-header.site-header--booklium-child .menu-item .submenu-toggle::before {
	color: #ffffff;
}

.home header.site-header.site-header--booklium-child .hidden-links .menu-item .submenu-toggle::before,
.home header.site-header.site-header--booklium-child.is-scrolled-sticky .menu-item .submenu-toggle::before {
	color: #000000;
}


header.site-header.site-header--booklium-child .hidden-links .menu-item .submenu-toggle {
	right: 8px;
}

header.site-header.site-header--booklium-child .menu-item.button-menu-light,
header.site-header.site-header--booklium-child .menu-item.button-menu-dark {
	margin: 6px !important;
	text-align: center;
}


header.site-header.site-header--booklium-child .menu-item.button-menu-light a,
header.site-header.site-header--booklium-child .menu-item.button-menu-dark a {
	padding: 10px 20px !important;
}


@media (width < 992px) {

	.main-navigation {
		background-color: rgba(0, 0, 0, 0.1) !important;
		backdrop-filter: blur(16px);
		-webkit-backdrop-filter: blur(10px);
		top: calc(100%) !important;
	}


	header.site-header.site-header--booklium-child.is-scrolled-sticky .main-navigation {
		background-color: #ffffff !important;
	}

	.main-navigation .primary-menu-container {
		max-width: 100% !important;
		margin: 0 20px !important;
	}

	.main-navigation .primary-menu {
		width: 100%;
	}


	header.site-header.site-header--booklium-child .menu-item a {
		color: #ffffff !important;
	}
	header.site-header.site-header--booklium-child.is-scrolled-sticky .menu-item a {
		color: #000000 !important;
	}


	header.site-header.site-header--booklium-child .primary-menu {
		align-items: unset;
	}


	header.site-header.site-header--booklium-child .menu-item.button-menu-light,
	header.site-header.site-header--booklium-child .menu-item.button-menu-dark {
		margin: 0 0 12px !important;
	}

	header.site-header.site-header--booklium-child .menu-item.button-menu-light a,
	header.site-header.site-header--booklium-child .menu-item.button-menu-dark a {
		width: 100%;
	}
}


header.site-header.site-header--booklium-child.is-scrolled-sticky .button-menu-light a,
.home header.site-header.site-header--booklium-child .hidden-links .button-menu-light a,
header.site-header.site-header--booklium-child .button-menu-light a {
	color: #000000;
	border: 1px solid #3d799b;
}

header.site-header.site-header--booklium-child.is-scrolled-sticky .button-menu-light a:hover,
.home header.site-header.site-header--booklium-child .hidden-links .button-menu-light a:hover,
header.site-header.site-header--booklium-child .button-menu-light a:hover {
	color: #ffffff !important;
	background-color: #000000 !important;
}

header.site-header.site-header--booklium-child.is-scrolled-sticky .hidden-links .button-menu-dark a,
.home header.site-header.site-header--booklium-child .hidden-links .button-menu-dark a,
header.site-header.site-header--booklium-child .button-menu-dark a {
	color: #ffffff !important;
	background-color: #3d799b;
	border: 1px solid #3d799b;
}

.home header.site-header.site-header--booklium-child .button-menu-light a {
	color: #ffffff;
	border: 1px solid #ffffff;
}

.home header.site-header.site-header--booklium-child .button-menu-light a:hover {
	color: #000000 !important;
	background-color: #ffffff !important;
}

.home header.site-header.site-header--booklium-child .button-menu-dark a {
	color: #000000 !important;
	background-color: #ffffff;
	border: 1px solid #ffffff;
}

.home header.site-header.site-header--booklium-child.is-scrolled-sticky .button-menu-light a {
	border: 1px solid #000000;
}

header.site-header.site-header--booklium-child.is-scrolled-sticky .button-menu-dark a {
	color: #ffffff !important;
	background-color: #3d799b !important;
	border: 1px solid #3d799b !important;
}

@media (width > 991px) {
	header.site-header.site-header--booklium-child .menu-item.button-menu-light {
		margin-left: 30px !important;
	}
}


/*Button*/

.booklium-child-button,
.booklium-child-button-primary,
.booklium-child-button-transparent-light,
.booklium-child-button-transparent-dark {
	display: inline-block;
	border: 1px solid transparent;
	opacity: .95;
	transition-property: opacity;
	transition-timing-function: cubic-bezier(.4, 0, .2, 1);
	transition-duration: .15s;
	letter-spacing: .05em;
	text-transform: uppercase;
	font-weight: 500;
	font-size: .875rem;
	line-height: 1.25rem;
	text-align: center;
	padding-top: 1rem;
	padding-bottom: 1rem;
	padding-left: 2rem;
	padding-right: 2rem;
	border-radius: 0 !important;
	text-decoration: none;
}

.booklium-child-button:hover,
.booklium-child-button:focus,
.booklium-child-button-transparent-light:hover,
.booklium-child-button-transparent-light:focus,
.booklium-child-button-transparent-dark:hover,
.booklium-child-button-transparent-dark:focus {
	opacity: 1;
	text-decoration: none;
}

.booklium-child-button-primary {
	background: #c86a41;
	border-color: #c86a41;
	color: rgba(255, 255, 255, .85);
}

.booklium-child-button-primary:hover,
.booklium-child-button-primary:focus {
	opacity: .85;
	text-decoration: none;
}

.booklium-child-button-transparent-light {
	background: transparent;
	border-color: #f8f6f1;
	color: #f8f6f1;
}

.booklium-child-button-transparent-dark {
	background: transparent;
	border-color: #3d4149;
	color: #3d4149;
}

.vertical-delimeter-color {
	background: #c4c5c6;
}

.h-12 {
	height: 3rem;
}


/*.booklium-child-header-placeholder {
	height: 0;
}

body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky),
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) {
	background: transparent;
	border-bottom-color: transparent;
}

.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) {
	border-bottom-color: transparent !important;
}

body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky):before,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky):before {
	background: transparent;
}

.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky):before {
	background: transparent !important;
}

body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky) .site-branding .site-title,
body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky) .site-branding .site-title a,
body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky) .main-navigation .primary-menu > li > a,
body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky) .social-menu-toggle,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) .site-branding .site-title,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) .site-branding .site-title a,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) .main-navigation .primary-menu > li > a,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) .social-menu-toggle {
	color: #1D212B;
}

.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) .site-branding .site-title,
.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) .site-branding .site-title a,
.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) .main-navigation .primary-menu > li > a,
.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) .social-menu-toggle {
	color: #ffffff;
}

body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky) .main-navigation .current_page_item > a,
body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky) .main-navigation .current-menu-item > a,
body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky) .main-navigation li:hover > a,
body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky) .main-navigation li.focus > a,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) .main-navigation .current_page_item > a,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) .main-navigation .current-menu-item > a,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) .main-navigation li:hover > a,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) .main-navigation li.focus > a {
	color: #3d799b;
}

.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) .main-navigation .current_page_item > a,
.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) .main-navigation .current-menu-item > a,
.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) .main-navigation li:hover > a,
.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) .main-navigation li.focus > a {
	color: #ffffff;
}

body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky) .main-navigation-wrapper .menu-toggle .line,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) .main-navigation-wrapper .menu-toggle .line {
	background: #1D212B;
}

.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) .main-navigation-wrapper .menu-toggle .line {
	background: #ffffff;
}

body.booklium-child-header-active.home #masthead:not(.is-scrolled-sticky) .social-menu-toggle,
body.booklium-child-header-active.front-page #masthead:not(.is-scrolled-sticky) .social-menu-toggle {
	border-color: rgba(255, 255, 255, 0.5);
}

.site-header--booklium-child.is-frontpage-header:not(.is-scrolled-sticky) .social-menu-toggle {
	border-color: rgba(255, 255, 255, 0.5);
}

header.site-header.site-header--booklium-child .hidden-links .menu-item,
header.site-header.site-header--booklium-child .primary-menu > .menu-item {
	display: flex !important;
	align-items: center;
	margin: 0 16px !important;
}

header.site-header.site-header--booklium-child .hidden-links .menu-item a {
	padding-left: 0;
	padding-right: 0;
}

header.site-header.site-header--booklium-child .primary-menu > .menu-item:last-child {
	margin-right: 0 !important;
}

header.site-header.site-header--booklium-child .primary-menu > .menu-item > a {
	padding: 12px 0 !important;
	text-transform: uppercase;
}

header.site-header.site-header--booklium-child .menu-item .submenu-toggle {
	display: block !important;
	position: unset !important;
	top: unset !important;
}

header.site-header.site-header--booklium-child .primary-menu > .menu-item .submenu-toggle::before {
	content: '\f078';
}

*/


.booklium-child-footer {
	--bcf-bg: #1d212b;
	--bcf-text: #8c8d91;
	--bcf-link: #FBFAF880;
	--bcf-link-hover: #ffffff;
	--bcf-footer-text: #FBFAF880;
	--bcf-title: #FBFAF8;
	--bcf-input-border: #33363f;
	--bcf-font: "DM Sans", sans-serif;
	--bcf-size: 14px;
	--bcf-grid-gap: 32px;

	background: var(--bcf-bg);
	color: var(--bcf-text);
	font-family: var(--bcf-size), sans-serif;
}

.site-footer--booklium-child {
	margin-top: 0;
}

.booklium-child-footer .booklium-child-footer-widgets {
	font-size: var(--bcf-size) !important;
}

.booklium-child-footer a {
	color: var(--bcf-link);
	font-size: var(--bcf-size) !important;
}

.booklium-child-footer a:hover,
.booklium-child-footer a:focus {
	color: var(--bcf-link-hover);
}

.booklium-child-footer footer {
	color: var(--bcf-footer-text);
}

.booklium-child-footer .site-footer-wrapper {
	border: none;
	align-items: stretch;
}

.booklium-child-footer .booklium-child-footer-widgets {
	padding: 32px 0;
	flex: 0 0 100%;
	width: 100%;
}

.booklium-child-footer .booklium-child-footer-grid {
	display: grid;
	grid-template-columns: repeat(4, minmax(0, 1fr));
	gap: var(--bcf-grid-gap);
}

.booklium-child-footer .booklium-child-footer-column .widget {
	margin: 0 0 20px;
}

.booklium-child-footer .booklium-child-footer-column .widget:last-child {
	margin-bottom: 0;
}

.booklium-child-footer .widget-title {
	color: var(--bcf-title);
	text-transform: uppercase;
	font-weight: 500 !important;
	font-size: var(--bcf-size);
	line-height: 1.25rem;
	letter-spacing: 0.05em;
	margin-bottom: 1rem;
	font-family: var(--bcf-font);
}

.booklium-child-footer form label {
	width: 100%;
}

.booklium-child-footer form input {
	transition: all .15s cubic-bezier(.4, 0, .2, 1);
	font-size: var(--bcf-size);
	line-height: 1.25rem;
	padding: .625rem 1rem;
	background-color: transparent;
	border-color: #FBFAF84D;
	border-radius: 0;
	color: #FBFAF84D;
	width: 100%;
}

.booklium-child-footer form input::placeholder {
	color: #FBFAF84D;
}

.booklium-child-footer form input[type="submit"] {
	width: 100%;
	border-radius: 0;
	font-family: "DM Sans", sans-serif;
	font-size: 0.875rem;
	line-height: 1.25rem;
	letter-spacing: 0.05em;
	font-weight: 500;
	text-transform: uppercase;
	color: #ffffff;
	background-color: #FBFAF826 !important;
}

.booklium-child-footer form input[type="submit"]:hover,
.booklium-child-footer form input[type="submit"]:focus {
	background: #54575e;
}

.booklium-child-footer-social {
	display: flex;
	gap: 16px;
	margin-top: 15px;
	align-items: center;
}

.booklium-child-footer-copyright {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	color: #FBFAF84D;
	width: 100%;
	padding-top: 32px;
	border-top: 1px solid #FBFAF81A;
	font-size: var(--bcf-size) !important;
}

.booklium-child-footer-copyright .footer-menu {
	column-gap: 24px;
}

.booklium-child-footer-copyright .footer-menu-container {
	margin: 0 !important;
}

.booklium-child-footer-copyright .menu-item:after {
	display: none !important;
}

.booklium-child-footer-copyright a {
	color: #FBFAF84D;
}


@media (max-width: 1100px) {
	.booklium-child-footer .booklium-child-footer-grid {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}

	.booklium-child-footer-copyright {
		flex-direction: column;
		align-items: flex-start;
	}

	.booklium-child-footer-copyright .footer-menu-container {
		align-self: center;
	}
}

@media (max-width: 700px) {
	.booklium-child-footer .booklium-child-footer-grid {
		grid-template-columns: 1fr;
	}
}
